## Approve Bills

### cURL

```bash
curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/bills/approve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "billIds": [\
    "<string>"\
  ]
}'
```

### Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/bills/approve"

payload = { "billIds": ["<string>"] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({billIds: ['<string>']})
};

fetch('https://api.m3ter.com/organizations/{orgId}/bills/approve', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response Codes
- **200**: Success
- **4XX**: Client Error
- **5XX**: Server Error

### Response Body
```json
{
  "message": "<string>"
}
```

### Authorizations
- **Authorization**: string (header, required): m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

### Path Parameters
- **orgId**: string (required): The unique identifier (UUID) of your Organization, which represents your company as a direct customer of our service.

### Query Parameters
- **externalInvoiceDateStart**: string: Start date for filtering Bills by external invoice date.
- **externalInvoiceDateEnd**: string: End date for filtering Bills by external invoice date.
- **accountIds**: string: List of Account IDs to filter Bills.

### Body
- **billIds**: string[] (required): Use to specify a collection of Bills by their IDs for batch approval.

### Minimum array length
- Minimum array length: `1`.

### Note
- Returns a message indicating the success/failure of Bills approval.
